#!/bin/sh

# FIXME: We need to detect CD drive path
CDROM=cdrom

MNTBASE=/mnt
test -d /media/$CDROM && MNTBASE=/media

# ARG1: host dir ARG2: DOS disk
map_drive()
{
	test -e "$1" || { echo "!!! Warning: Target '$1' does not exist. Skip '$2' drive creating." ; return 1; }
	test -e ${DEV}/$2 && { echo "    SKIP: Drive '$2' already mapped as '$(readlink ${DEV}/$2)'"; return 1; }
	ln -s "$1" ${DEV}/$2 && echo "Drive '$2' created as link for '$1' target."
	return 0
}

DEV=$1
test -z "$DEV" && return 0
################################################################

# You can change your device mapping preferences for WINE here

map_drive $MNTBASE/floppy a: && map_drive /dev/fd0 a::
map_drive ~/Documents d: || map_drive ~/ d:

map_drive $MNTBASE/$CDROM e: && map_drive /dev/$CDROM e::
map_drive /dev/ttyS0 com1
map_drive /dev/lp0 lpt1

# Uncomment for use home dir as WINE disk (not recommended)
#map_drive ~ f:
# Use root filesystem as WINE disk (not recommended)
#map_drive / z:

# Map shared base dir
test -d /var/local/sharebase && map_drive /var/local/sharebase s:
